> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paginated margin transfer history



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /transfer/history
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /transfer/history:
    get:
      tags:
        - Transfer
      summary: Get paginated margin transfer history
      operationId: TransferController_getTransferHistory
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            default: 20
            type: integer
            minimum: 1
            maximum: 100
          description: Number of items per page (1–100)
        - name: offset
          required: false
          in: query
          schema:
            default: 0
            type: integer
            minimum: 0
            maximum: 9007199254740991
          description: Number of items to skip
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransferHistoryResponseDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    GetTransferHistoryResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              asset:
                type: string
                description: Transfer asset, e.g. USDC
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                description: Transfer creation timestamp
              dest:
                anyOf:
                  - type: string
                    enum:
                      - hyperliquid
                      - lighter
                      - arbitrum
                  - type: 'null'
                description: Destination network or exchange
              destAmount:
                description: Amount received at destination after all fees
                type:
                  - string
                  - 'null'
              destinationHash:
                description: Destination transaction hash
                type:
                  - string
                  - 'null'
              executionTime:
                anyOf:
                  - type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  - type: 'null'
                description: Seconds elapsed from source to destination, null until paid
              fee:
                description: Total transfer fee in USDC (exchange fees + routing fee)
                type:
                  - string
                  - 'null'
              id:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
                description: Transfer ID
              source:
                type: string
                enum:
                  - hyperliquid
                  - lighter
                  - arbitrum
                description: Source network or exchange
              sourceAmount:
                type: string
                description: Total amount sent from source including exchange fees
              sourceHash:
                description: Source transaction hash
                type:
                  - string
                  - 'null'
              status:
                type: string
                enum:
                  - created
                  - pending
                  - sent
                  - paid
                  - confirmed
                  - failed
                  - refunded
                description: Transfer status
            required:
              - asset
              - createdAt
              - dest
              - destAmount
              - destinationHash
              - executionTime
              - fee
              - id
              - source
              - sourceAmount
              - sourceHash
              - status
            title: MarginTransfer
          description: List of margin transfers
        total:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Total number of transfers
      required:
        - items
        - total
      title: GetTransferHistoryResponse
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.